require(['config'], function() {
	require([
		'jquery'
	], function($) {

	});
});

let AFFL_POP_GRID_LIST 			= '/api/affl/pop-grid-list';
let BRAND_POP_GRID_LIST 		= '/api/brand/affl-brand-list';
let API_ITEM_CLASS_LEVEL_POP	= '/api/item/class-level-list';			//품목분류 level 검색

var popPageObj = {
	init: function () {
		this.button();
		this.brandInfo = JSON.parse(sessionStorage.getItem('itp_manage_brand_info'));
		popItemClassLevel.list(1, true);
	},
	brandInfo: {},
	parentPopFn: null,
	args: null,
	returnType: null,
	button: function() {
		$('#ITP_BTN_STINFO07010_CLOSE_POP').on('click', function () {
		});
		$('#ITP_BTN_STINFO07010_DETAIL_SAVE_POP').on('click', function () {
		});
	},
	form: function() {
		$('#ITP_FORM_STINFO07010_DETAIL_ITEM_CLASS1').on('change', function() {
			($(this).val() === '') ? popItemClassLevel.clear(2, true): popItemClassLevel.list(2, true);
		});
		$('#ITP_FORM_STINFO07010_DETAIL_ITEM_CLASS2').on('change', function() {
			($(this).val() === '') ? popItemClassLevel.clear(3, true): popItemClassLevel.list(3, true);
		});
		$('#ITP_FORM_STINFO07010_DETAIL_ITEM_CLASS3').on('change', function() {
			($(this).val() === '') ? popItemClassLevel.clear(4, true): popItemClassLevel.list(4, true);
		});
	}
};

var popItemClassLevel = {
	isList: true,
	level: 1,
	keys: function() {
		var keys = {sBrandId:popPageObj.brandInfo.brandId, sItemLevel: this.level};
		for(var i=1; i<this.level; i++) {
			var key = 'sItemClass' + i;
			var id = '#ITP_FORM_STINFO04010_DETAIL_ITEM_CLASS' + i;
			keys[key] = $(id + ' option:selected').val();
		}
		return keys;
	},
	list: function(level, isList) {
		this.level = level;
		this.isList = isList;
		this.clear(level, isList);
		this.call( $.param(this.keys()));
	},
	detail: {
		data: [],
		make: function() {
			popItemClassLevel.isList = false;
			popItemClassLevel.call( $.param(popItemClassLevel.keys()));
		}
	},
	call: function(param) {
		fn_ajax_call(API_ITEM_CLASS_LEVEL_POP, param, this.callback, 'GET');
	},
	callback: function(result) {
		// console.log(result);
		var id = 'ITP_FORM_STINFO07010_DETAIL_ITEM_CLASS' + popItemClassLevel.level;
		fn_make_select_item_class(result.searchList, id, true, '선택');
		if(!popItemClassLevel.isList) {
			$('#' + id).val(popItemClassLevel.detail.data[ popItemClassLevel.level - 1]);
			if(popItemClassLevel.level < popItemClassLevel.detail.data.length) {
				if(popItemClassLevel.detail.data[popItemClassLevel.level] !== '') {
					popItemClassLevel.level++;
					popItemClassLevel.call( $.param(popItemClassLevel.keys()));
				}
			}
		}
	},
	clear: function(level, isList) {
		for(var i=level; i<5; i++) {
			var id = 'ITP_FORM_STINFO07010_DETAIL_ITEM_CLASS' + i;
			$('#' + id).find('option').remove();
		}
	}
};

function itp_fn_BIZPOP_ITEM_CLASS_MANAGE(parentPopFn, args, returnType) {
	$('#ITP_BIZPOP_ITEM_CLASS_MANAGE').one('shown.bs.modal', function(e) {
		itp_fn_fire_window_resize();
	}).one('hidden.bs.modal', function(e) {
		$('#ITP_BIZPOP_ITEM_CLASS_MANAGE').remove();
	}).modal('show');

	popPageObj.parentPopFn = parentPopFn;
	popPageObj.args = args;
	popPageObj.returnType = returnType;
	popPageObj.init();

}
